Page MenuHomePhabricator

Output data for new XTools: Articleinfo
Closed, ResolvedPublic8 Estimated Story Points

Description

This ticket is for compiling the data that will be output at XTools: Articleinfo (see T157602). This ticket should be considered done when there is a way to view the data over the web. The output should be super basic though, just var_dumps or simple tables, no real views or nice UI.

Compare the data against the old interface (http://tools.wmflabs.org/xtools-articleinfo/?article=Test&project=en.wikipedia.org) to see if it lines up, but bear in mind there are known bugs with the old version. Testing is probably best done on smaller pages so that you can manually check for accuracy.

Known bugs with Articleinfo can be found in the GitHub issues and on the Phabricator board.

Event Timeline

kaldari created this task.Feb 9 2017, 5:55 PM
kaldari triaged this task as Medium priority.Feb 9 2017, 5:58 PM
kaldari updated the task description. (Show Details)
kaldari set the point value for this task to 8.
kaldari moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MusikAnimal updated the task description. (Show Details)
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.
MusikAnimal moved this task from Inbox to Working on the XTools board.Mar 6 2017, 9:03 PM
MusikAnimal moved this task from Working to Working on the XTools board.

The code I worked on included a LOT of stuff outside articleinfo, so I kept merging into master so it can be used elsewhere and also to avoid edit conflicts. Hence I have no PR, but you can comment on this commit which touches all relevant files to articleinfo: https://github.com/x-tools/xtools-rebirth/commit/36621672301df077a471011cd298e144a049fcc3

Test version up and running at http://tools.wmflabs.org/xtools-dev/articleinfo/en.wikipedia.org/Google

Looks good except that the Bugs and Assessments sections are missing. The bugs should be pulled from http://tools.wmflabs.org/checkwiki/ and the assessments can be pulled from the PageAssessments API or directly from the page_assessments table.

I think all the data is there now, check out https://tools.wmflabs.org/xtools-dev/articleinfo/en.wikipedia.org/Bonzun (this one has checkwiki errors at the time of writing)

You may see that the "Added (bytes)" differs from the legacy articleinfo. In the new version, we don't count any reverted edits.

kaldari closed this task as Resolved.Mar 21 2017, 7:47 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
kaldari moved this task from Estimated to Archive on the Community-Tech board.Mar 31 2017, 2:01 PM
MusikAnimal moved this task from Working to Complete on the XTools board.Jul 23 2017, 7:34 PM